MKOCTFILE(1)

NAME
mkoctfile - Compile dynamic-load modules for GNU Octave

SYNOPSIS
mkoctfile [OPTION]... file...

DESCRIPTION
mkoctfile is used to compile C, C++, or Fortran source code in to a dynamically loadable .oct file for octave(1).

OPTIONS

-h, -?, --help
    Print help message.

-Idir
    Add include directory dir to compile commands.

-idirafterdir
    Add include directory to second include search path after '-I'.

-Ddef
    Add definition def to compiler command.

-llib
    Add library lib to link command.

-Ldir
    Add library directory dir to link command.

-Rdir
    Pass -Rdir to link command.

-g  Enable debugging option for all compilers.

-pthread
    Add -pthread to link command.

-W...
    Pass flags to the compiler such as -Wa,OPTION.

-Wl,...
    Pass flags to the linker such as -Wl,-rpath=...

-M, --depend
    Generate dependency files (.d) for C and C++ source files.

-c  Compile but do not link.

--link-stand-alone
    Link a stand-alone executable file.

-s, --strip
    Strip the output file.

--mex
    Create a MEX file. Set the default output extension to .mex.

-o file, --output file
    Output file name. Default extension is .oct (or .mex if --mex is specified) unless linking a stand-alone executable.

-p VAR, --print VAR
    Print configuration variable VAR. Recognized variables are:
       ALL_CFLAGS                FFTW3F_LDFLAGS
       ALL_CXXFLAGS              FFTW3F_LIBS
       ALL_FFLAGS                FLIBS
       ALL_LDFLAGS               FPICFLAG
       BLAS_LIBS                 INCFLAGS
       CC                        LAPACK_LIBS
       CFLAGS                    LDFLAGS
       CPICFLAG                  LD_CXX
       CPPFLAGS                  LD_STATIC_FLAG
       CXX                       LFLAGS
       CXXFLAGS                  LIBCRUFT
       CXXPICFLAG                LIBOCTAVE
       DEPEND_EXTRA_SED_PATTERN  LIBOCTINTERP
       DEPEND_FLAGS              LIBS
       DL_LD                     OCTAVE_LIBS
       DL_LDFLAGS                RDYNAMIC_FLAG
       EXEEXT                    READLINE_LIBS
       F77                       RLD_FLAG
       F77_INTEGER_8_FLAG        SED
       FFLAGS                    XTRA_CFLAGS
       FFTW3_LDFLAGS             XTRA_CXXFLAGS
       FFTW3_LIBS

-v, --verbose
    Echo commands as they are executed.

file
    Compile or link file. Recognized file types are
       .c    C source
       .cc   C++ source
       .C    C++ source
       .cpp  C++ source
       .f    Fortran source (fixed form)
       .F    Fortran source (fixed form)
       .f90  Fortran source (free form)
       .F90  Fortran source (free form)
       .o    object file
       .a    library file

SEE ALSO
octave (1).

AUTHOR
John W. Eaton <jwe@octave.org> This manual page was contributed by Dirk Eddelbuettel <edd@debian.org> for the Debian GNU/Linux distribution but may be used by others.